import java.io.*;
import java.util.*;

public class Solver {

    public static void main(String[] args) throws IOException {
        char[] a = nextToken().toCharArray();
        char[] b = nextToken().toCharArray();
        
        // sum
        StringBuilder res1 = new StringBuilder();
        for (int i = 0; i < Math.max(a.length, b.length) ; i++) {
            if (a.length-i > 0 && b.length-i > 0) {
                res1.insert(0, Math.max(a[a.length - 1 - i] - '0', b[b.length - 1 - i] - '0'));
            } else if (a.length-i <= 0) {
                res1.insert(0, b[b.length - 1 - i] - '0');
            } else if (b.length-i <= 0) {
                res1.insert(0, a[a.length - 1 - i] - '0');
            }
        }

        StringBuilder res2 = new StringBuilder();
        char[] l = a;
        char[] s = b;

//        if (a.length > b.length) {
//            l = a;
//            s = b;
//        } else {
//            l = b;
//            s = a;
//        }
        for (int i = 0; i < s.length; i++) {
            StringBuilder lr = new StringBuilder();
            for (int j = 0; j < l.length; j++) {
                lr.insert(0, Math.min(l[l.length - 1 - j] - '0', s[s.length - 1 - i] - '0'));
            }
            for (int j = 0; j < i; j++) {
                lr.append("0");
            }

            if (res2.isEmpty()) {
                res2 = lr;
            } else {
                char[] s1 = res2.toString().toCharArray();
                char[] s2 = lr.toString().toCharArray();
                res2 = new StringBuilder();
                for (int k = 0; k < Math.max(s1.length, s2.length) ; k++) {
                    if (s1.length-k > 0 && s2.length-k > 0) {
                        res2.insert(0, Math.max(s1[s1.length - 1 - k] - '0', s2[s2.length - 1 - k] - '0'));
                    } else if (s1.length-k <= 0) {
                        res2.insert(0, s2[s2.length - 1 - k] - '0');
                    } else {
                        res2.insert(0, s1[s1.length - 1 - k] - '0');
                    }
                }

            }
        }

        out.println(res1);
        out.println(res2);
        out.close();
    }

    static BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
    static PrintWriter out = new PrintWriter(System.out);
    static StringTokenizer in = new StringTokenizer("");


    public static boolean hasNext() throws IOException {
        if (in.hasMoreTokens()) return true;
        String s;
        while ((s = br.readLine()) != null) {
            in = new StringTokenizer(s);
            if (in.hasMoreTokens()) return true;
        }
        return false;
    }

    public static String nextToken() throws IOException {
        while (!in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public static double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public static long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }
}