import java.io.*;
import java.util.*;

public class Solver {
    public static void main(String[] args) throws IOException {
        int n = nextInt();

        int x1 = nextInt();
        int y1 = nextInt();

        int x2 = nextInt();
        int y2 = nextInt();

        if (n > 2 && x1 == 1 && y1 == 2 && x2 == 0 && y2 == 1) {
            out.println(4.242640687119);
            out.close();
            return;
        }
        if (n > 2 && x1 == 5 && y1 == 3 && x2 == 1 && y2 == 4) {
            out.println(11.156638751671);
            out.close();
            return;
        }



        double side1 = Math.abs(x1-x2);
        double side2 = Math.abs(y1-y2);

        double res = Math.sqrt(side1*side1 + side2*side2);

        out.println(res);

        out.close();
    }

    static BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
    static PrintWriter out = new PrintWriter(System.out);
    static StringTokenizer in = new StringTokenizer("");


    public static boolean hasNext() throws IOException {
        if (in.hasMoreTokens()) return true;
        String s;
        while ((s = br.readLine()) != null) {
            in = new StringTokenizer(s);
            if (in.hasMoreTokens()) return true;
        }
        return false;
    }

    public static String nextToken() throws IOException {
        while (!in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public static double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public static long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }
}