import java.io.*;
import java.util.*;

public class Solver {

    public static void main(String[] args) throws IOException {
        int n = nextInt();

        for (int i = 0; i < n; i++) {
            int[] arr = new int[6];
            for (int j = 0; j < 6; j++) {
                arr[j] = nextInt();
            }

            Arrays.sort(arr);

            boolean show = true;
            int sum = arr[0] + arr[5];
            for (int j = 1; j < 3; j++) {
                if (arr[j] + arr[5-j] != sum) {
                    show = false;
                    break;
                }
            }

            if (show) {
                out.println("yes");
            } else {
                out.println("no");
            }
        }

        out.close();
    }

    static BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
    static PrintWriter out = new PrintWriter(System.out);
    static StringTokenizer in = new StringTokenizer("");


    public static boolean hasNext() throws IOException {
        if (in.hasMoreTokens()) return true;
        String s;
        while ((s = br.readLine()) != null) {
            in = new StringTokenizer(s);
            if (in.hasMoreTokens()) return true;
        }
        return false;
    }

    public static String nextToken() throws IOException {
        while (!in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public static double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public static long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }
}