import java.io.*;
import java.util.*;

public class Solver {
    static int target1;
    static int target2;
    static String res = "no";


    static void rec(int step, String str, int side11, int side12, int side21, int side22) {
        if (((double)(side11 + side21)/(side12 + side22)) == (double)target1/target2) {
            res = str;
            return;
        } else if (step > 5) {
            return;
        }

        rec(step+1, str+"R", side11 + side21, side12 + side22, side21, side22);
        rec(step+1, str+"L", side11, side12, side11 + side21, side12 + side22);
    }

    public static void main(String[] args) throws IOException {
        target1 = nextInt();
        target2 = nextInt();


        rec(0, "", 0, 1, 1, 0);

        if (Objects.equals(res, "no")) {
            out.println(res);
            out.close();
        }
        out.println("R" + res);
        out.close();
    }

    static BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
    static PrintWriter out = new PrintWriter(System.out);
    static StringTokenizer in = new StringTokenizer("");


    public static boolean hasNext() throws IOException {
        if (in.hasMoreTokens()) return true;
        String s;
        while ((s = br.readLine()) != null) {
            in = new StringTokenizer(s);
            if (in.hasMoreTokens()) return true;
        }
        return false;
    }

    public static String nextToken() throws IOException {
        while (!in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public static double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public static long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }
}