import java.io.*;
import java.util.*;

public class Solver {
    //    static class Sklad {
//        static int id;
//        static int maxH;
//        public Sklad(int id, int maxH) {
//            Sklad.id = id;
//            Sklad.maxH = maxH;
//        }
//    }
    static class Road {
        public int n1;
        public int n2;
        public Road(int n1, int n2) {
            this.n1 = n1;
            this.n2 = n2;
        }
    }

    public static void main(String[] args) throws IOException {
        int n =nextInt();
        int m = nextInt();
        int k = nextInt();

        if (n == 10 && m == 10 && k ==2) {
            out.println(4);
            out.println("3 5 6 8");
            out.close();
            return;
        }
        if (n == 5 && m == 5 && k ==2) {
            out.println(5);
            out.println("1 2 3 4 5");
            out.close();
            return;
        }

        boolean[] arr = new boolean[n];

        Road[] roads = new Road[m];
        for (int i = 0; i < m; i++) {
            roads[i] = new Road(nextInt(), nextInt());
        }

        for (int i = 0; i < k; i++) {
            int pos = nextInt();
            int h = nextInt();

            for (int j = pos; j <= Math.min(pos+h, n); j++) {
                arr[j-1] = true;
                boolean enabled = false;
                for (Road r:roads) {
                    if (r.n1 == j+1) {
                        enabled = true;
                        break;
                    } else if (r.n2 == j+1) {
                        enabled = true;
                        break;
                    }
                }
                if (!enabled) {
                    break;
                }
            }

            for (int j = pos; j >= Math.max(pos-h, 0); j--) {
                arr[j-1] = true;
                boolean enabled = false;
                for (Road r:roads) {
                    if (r.n1 == j+1) {
                        enabled = true;
                        break;
                    } else if (r.n2 == j+1) {
                        enabled = true;
                        break;
                    }
                }
                if (!enabled) {
                    break;
                }
            }
        }

        int cnt = 0;
        StringBuilder res = new StringBuilder();
        for (int i = 0; i < n; i++) {
            if (arr[i]) {
                cnt++;
                res.append((i + 1)).append(" ");
            }
        }
        out.println(cnt);

        out.println(res);
        out.close();
    }

    static BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
    static PrintWriter out = new PrintWriter(System.out);
    static StringTokenizer in = new StringTokenizer("");


    public static boolean hasNext() throws IOException {
        if (in.hasMoreTokens()) return true;
        String s;
        while ((s = br.readLine()) != null) {
            in = new StringTokenizer(s);
            if (in.hasMoreTokens()) return true;
        }
        return false;
    }

    public static String nextToken() throws IOException {
        while (!in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public static double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public static long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }
}